package de.tu_dresden.diplom.richter_mirko_mat2628335.witness.evidence;

import org.apache.log4j.Logger;

/**
 * 
 */
public class WitnessEvidenceManagerFactory {

   private static final Logger logger = Logger.getLogger(WitnessEvidenceManagerFactory.class);

   private static IFWitnessEvidenceManager witnessEvidenceManager = null;

   public static IFWitnessEvidenceManager getEvidenceManager(){
      if(witnessEvidenceManager == null){
         witnessEvidenceManager = new WitnessEvidenceManager();
      }
      return witnessEvidenceManager;
   }

}
